## rabbitmq-erlang-client 2.3.1+hg20110303.1

=== Makefile ===
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is RabbitMQ.
#
# The Initial Developer of the Original Code is VMware, Inc.
# Copyright (c) 2007-2011 VMware, Inc.  All rights reserved.
#

VERSION=0.0.0

SOURCE_PACKAGE_DIR=$(PACKAGE)-$(VERSION)-src
SOURCE_PACKAGE_TAR_GZ=$(SOURCE_PACKAGE_DIR).tar.gz

BROKER_HEADERS=$(wildcard $(BROKER_DIR)/$(INCLUDE_DIR)/*.hrl)
BROKER_SOURCES=$(wildcard $(BROKER_DIR)/$(SOURCE_DIR)/*.erl)
BROKER_DEPS=$(BROKER_HEADERS) $(BROKER_SOURCES)

INFILES=$(shell find . -name '*.app.in')
INTARGETS=$(patsubst %.in, %, $(INFILES))

include common.mk

run_in_broker: compile $(BROKER_DEPS) $(EBIN_DIR)/$(PACKAGE).app
	$(MAKE) RABBITMQ_SERVER_START_ARGS='$(PA_LOAD_PATH)' -C $(BROKER_DIR) run

clean: common_clean
	rm -f $(INTARGETS)
	rm -rf $(DIST_DIR)

distribution: documentation source_tarball package

%.app: %.app.in
	sed -e 's:%%VSN%%:$(VERSION):g' < $< > $@

###############################################################################
##  Dialyzer
###############################################################################

RABBIT_PLT=$(BROKER_DIR)/rabbit.plt

dialyze: $(RABBIT_PLT) $(TARGETS)
	dialyzer --plt $(RABBIT_PLT) --no_native -Wrace_conditions $(TARGETS)

.PHONY: $(RABBIT_PLT)
$(RABBIT_PLT):
	$(MAKE) -C $(BROKER_DIR) create-plt

###############################################################################
##  Documentation
###############################################################################

documentation: $(DOC_DIR)/index.html

$(DOC_DIR)/overview.edoc: $(SOURCE_DIR)/overview.edoc.in
	mkdir -p $(DOC_DIR)
	sed -e 's:%%VERSION%%:$(VERSION):g' < $< > $@

$(DOC_DIR)/index.html: $(DEPS_DIR)/$(COMMON_PACKAGE_DIR) $(DOC_DIR)/overview.edoc $(SOURCES)
	$(LIBS_PATH) erl -noshell -eval 'edoc:application(amqp_client, ".", [{preprocess, true}])' -run init stop

###############################################################################
##  Testing
###############################################################################

include test.mk

compile_tests: $(TEST_TARGETS) $(EBIN_DIR)/$(PACKAGE).app

$(TEST_TARGETS): $(TEST_DIR)

.PHONY: $(TEST_DIR)
$(TEST_DIR): $(DEPS_DIR)/$(COMMON_PACKAGE_DIR)
	$(MAKE) -C $(TEST_DIR)

###############################################################################
##  Packaging
###############################################################################

COPY=cp -pR

$(DIST_DIR)/$(COMMON_PACKAGE_EZ): $(BROKER_DEPS) $(COMMON_PACKAGE).app | $(DIST_DIR)
	rm -f $@
	$(MAKE) -C $(BROKER_DIR)
	rm -rf $(DIST_DIR)/$(COMMON_PACKAGE_DIR)
	mkdir -p $(DIST_DIR)/$(COMMON_PACKAGE_DIR)/$(INCLUDE_DIR)
	mkdir -p $(DIST_DIR)/$(COMMON_PACKAGE_DIR)/$(EBIN_DIR)
	cp $(COMMON_PACKAGE).app $(DIST_DIR)/$(COMMON_PACKAGE_DIR)/$(EBIN_DIR)/
	$(foreach DEP, $(DEPS), \
	    ( cp $(BROKER_DIR)/ebin/$(DEP).beam $(DIST_DIR)/$(COMMON_PACKAGE_DIR)/$(EBIN_DIR)/ \
	    );)
	cp $(BROKER_DIR)/include/*.hrl $(DIST_DIR)/$(COMMON_PACKAGE_DIR)/$(INCLUDE_DIR)/
	(cd $(DIST_DIR); zip -r $(COMMON_PACKAGE_EZ) $(COMMON_PACKAGE_DIR))

source_tarball: $(DIST_DIR)/$(COMMON_PACKAGE_EZ) $(EBIN_DIR)/$(PACKAGE).app | $(DIST_DIR)
	mkdir -p $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(DIST_DIR)
	$(COPY) $(DIST_DIR)/$(COMMON_PACKAGE_EZ) $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(DIST_DIR)/
	$(COPY) README $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/
	$(COPY) common.mk $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/
	sed 's/%%VSN%%/$(VERSION)/' Makefile.in > $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/Makefile
	mkdir -p $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(SOURCE_DIR)
	$(COPY) $(SOURCE_DIR)/*.erl $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(SOURCE_DIR)/
	mkdir -p $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(EBIN_DIR)
	$(COPY) $(EBIN_DIR)/*.app $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(EBIN_DIR)/
	mkdir -p $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(INCLUDE_DIR)
	$(COPY) $(INCLUDE_DIR)/*.hrl $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(INCLUDE_DIR)/
	mkdir -p $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(TEST_DIR)
	$(COPY) $(TEST_DIR)/*.erl $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(TEST_DIR)/
	$(COPY) $(TEST_DIR)/Makefile $(DIST_DIR)/$(SOURCE_PACKAGE_DIR)/$(TEST_DIR)/
	cd $(DIST_DIR) ; tar cvzf $(SOURCE_PACKAGE_TAR_GZ) $(SOURCE_PACKAGE_DIR)

$(DIST_DIR):
	mkdir -p $@

=== debian/changelog ===
rabbitmq-erlang-client (2.3.1+hg20110303.1-0ubuntu2) natty; urgency=low

  * Fix FTBFS 

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 15:18:02 -0400

rabbitmq-erlang-client (2.3.1+hg20110303.1-0ubuntu1) natty; urgency=low

  [ Dustin Kirkand ]
  * Fix rabbitmq-stomp FTBFS
    - Repack the orig tarball from hg snapshot
    - original packager forgot to run 'hg up -r rabbitmq_v2_3_1' for
      Mercurial tag upping, so previous tarball was not actually what
      it claimed to be
    - debian/patches/set-version: set a version in makefile; upstream
      doesn't do this, but this breaks build-dependent packages

  [ Brian Thomason ]
  * debian/copyright: add license
  * debian/rabbitmq-erlang-client.lintian-overrides: drop this
  * debian/add-mozilla-license-file: dropped, too

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 14:22:48 -0400

rabbitmq-erlang-client (2.3.1+hg20110303-0ubuntu3) natty; urgency=low

  * Removed rabbitmq-common as these files are already shipped with the server

 -- Brian Thomason <brian.thomason@canonical.com>  Fri, 11 Mar 2011 12:43:00 -0500

rabbitmq-erlang-client (2.3.1+hg20110303-0ubuntu2) natty; urgency=low

  * Added missing unzip build-dep

 -- Brian Thomason <brian.thomason@canonical.com>  Fri, 04 Mar 2011 15:01:41 -0500

rabbitmq-erlang-client (2.3.1+hg20110303-0ubuntu1) natty; urgency=low

  * Initial release

 -- Brian Thomason <brian.thomason@canonical.com>  Thu, 03 Mar 2011 23:44:14 -0500

=== debian/control ===
Source: rabbitmq-erlang-client
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brian Thomason <brian.thomason@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), erlang-dev, rabbitmq-server (>= 2.3.1), zip, unzip
Standards-Version: 3.9.1
Homepage: http://www.rabbitmq.com/
Vcs-Browser: http://hg.rabbitmq.com/rabbitmq-erlang-client

Package: rabbitmq-erlang-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-server (>= 2.3.1)
Description: Erlang client for RabbitMQ
 This client offers both a networked version that uses standard TCP-based AMQP
 framing and a direct client that uses native Erlang message passing to a
 RabbitMQ broker.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) BROKER_DIR=/usr/lib/rabbitmq/lib/rabbitmq_server-2.3.1

override_dh_auto_install:
	#nothing to do here

override_dh_auto_test:
	#should not run test suite during build

## rabbitmq-erlang-client 2.5.0+hg20110623

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,9 @@
 
 distribution: documentation source_tarball package
 
-%.app: %.app.in
-	sed -e 's:%%VSN%%:$(VERSION):g' < $< > $@
+%.app: %.app.in $(SOURCES) $(BROKER_DIR)/generate_app
+	escript  $(BROKER_DIR)/generate_app $< $@ $(SOURCE_DIR)
+	sed -i.save 's/%%VSN%%/$(VERSION)/' $@ && rm $@.save
 
 ###############################################################################
 ##  Dialyzer

=== test/Makefile ===
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is RabbitMQ.
#
# The Initial Developer of the Original Code is VMware, Inc.
# Copyright (c) 2007-2011 VMware, Inc.  All rights reserved.
#

TEST_SOURCES=$(wildcard *.erl)
TEST_TARGETS=$(patsubst %.erl, %.beam, $(TEST_SOURCES))
INCLUDES=$(wildcard ../$(INCLUDE_DIR)/*.hrl)
DEPS_DIR=../deps

ERLC_OPTS=-I ../$(INCLUDE_DIR) -o ./ -Wall -v +debug_info
LIBS_PATH=ERL_LIBS=$(DEPS_DIR)

all: compile

compile: $(TEST_TARGETS)

%.beam: %.erl $(DEPS_DIR)/$(COMMON_PACKAGE_DIR) $(INCLUDES)
	$(LIBS_PATH) erlc $(ERLC_OPTS) $<

clean:
	rm -f *.beam

=== debian/changelog ===
rabbitmq-erlang-client (2.5.0+hg20110623-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 24 Jun 2011 10:01:15 -0700

rabbitmq-erlang-client (2.4.1+hg20110525-0ubuntu1) oneiric; urgency=low

  [Marc Cluet]
  * Updated to 2.4.1
  * Oneiric build 

  [Chuck Short]
  * Cleaned up debian/rules.

 -- Marc Cluet <marc.cluet@ubuntu.com>  Wed, 25 May 2011 07:00:03 -0700

=== debian/control ===
Source: rabbitmq-erlang-client
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Brian Thomason <brian.thomason@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), erlang-dev, rabbitmq-server (>= 2.5.0),
               zip, unzip, xsltproc
Standards-Version: 3.9.2
Homepage: http://www.rabbitmq.com/
Vcs-Browser: http://hg.rabbitmq.com/rabbitmq-erlang-client

Package: rabbitmq-erlang-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-server (>= 2.5.0)
Description: Erlang client for RabbitMQ
 This client offers both a networked version that uses standard TCP-based AMQP
 framing and a direct client that uses native Erlang message passing to a
 RabbitMQ broker.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) BROKER_DIR=/usr/lib/erlang/lib/rabbit_common
